<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/GesturesMenu.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d6b/_gestures_menu_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">GesturesMenu.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d7/d6b/_gestures_menu_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a28e27a4bdbac26a5344afabcd6329a0f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a> { <br />
&#160;&#160;<a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0fa2419990536a4da133799d8e2e3c4b3a7">CATEGORIES</a>
, <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0fa7ba509ea3d74d451f794029a1a15b308">CATEGORY_1</a>
, <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0fac5193c65c6702df8d357e590d4e72d32">CATEGORY_2</a>
, <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0faf3a675b05f78e1737ecb6f54a9bc8c98">CATEGORY_3</a>
, <br />
&#160;&#160;<a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0fa74d0e3fb01b29bead8b9afc13a3c6f7f">CATEGORY_4</a>
, <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0fa1e65d80d800134038c2d43efbb710658">CATEGORY_5</a>
, <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0fac2046c46baa7b79f26e9cb6d2807136c">CONSOLE_GESTURES</a>
<br />
 }</td></tr>
<tr class="separator:a28e27a4bdbac26a5344afabcd6329a0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab8c0da8da3a071d3e04d089b58d51a2a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#ab8c0da8da3a071d3e04d089b58d51a2a">GestureMenuItem</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a> category)</td></tr>
<tr class="separator:ab8c0da8da3a071d3e04d089b58d51a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac97112280cc4435c8df3c88070c839b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">GetName</a> ()</td></tr>
<tr class="memdesc:gac97112280cc4435c8df3c88070c839b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name which is set for the ParticleManager, default is "ParticleSourceManager".  <a href="../../d9/d0e/group___widget_a_p_i.html#gac97112280cc4435c8df3c88070c839b4">More...</a><br /></td></tr>
<tr class="separator:gac97112280cc4435c8df3c88070c839b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ac69146ee4c12f4aaa4aeb412428375"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a4ac69146ee4c12f4aaa4aeb412428375">GetBoundButtonText</a> ()</td></tr>
<tr class="separator:a4ac69146ee4c12f4aaa4aeb412428375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ba77aa3e0b17d2f4b2eb519db6aeaf7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a2ba77aa3e0b17d2f4b2eb519db6aeaf7">GetID</a> ()</td></tr>
<tr class="separator:a2ba77aa3e0b17d2f4b2eb519db6aeaf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9760f127681dc90c1f039c4260566d8c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a9760f127681dc90c1f039c4260566d8c">GetCategory</a> ()</td></tr>
<tr class="separator:a9760f127681dc90c1f039c4260566d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4ccdd2dbcfa7d584c3993599caedda2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#ac4ccdd2dbcfa7d584c3993599caedda2">GetRadialItemCard</a> ()</td></tr>
<tr class="separator:ac4ccdd2dbcfa7d584c3993599caedda2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a815e4e5775a3ca046bebba652aaaa14d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a815e4e5775a3ca046bebba652aaaa14d">SetRadialItemCard</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> widget)</td></tr>
<tr class="separator:a815e4e5775a3ca046bebba652aaaa14d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac11f49d09ef1fb6f2b7b1b1b9ff55186"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#ac11f49d09ef1fb6f2b7b1b1b9ff55186">SetCanPerformEmote</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="separator:ac11f49d09ef1fb6f2b7b1b1b9ff55186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfdcdca8c1e95e96f45b54fc32280ef9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#abfdcdca8c1e95e96f45b54fc32280ef9">GetCanPerformEmote</a> ()</td></tr>
<tr class="separator:abfdcdca8c1e95e96f45b54fc32280ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a236dd29b04aa8a4de32785c9b8f6f700"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a236dd29b04aa8a4de32785c9b8f6f700">m_ID</a></td></tr>
<tr class="separator:a236dd29b04aa8a4de32785c9b8f6f700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe942b303eee5ebb343ccae4a8583779"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#afe942b303eee5ebb343ccae4a8583779">m_Name</a></td></tr>
<tr class="separator:afe942b303eee5ebb343ccae4a8583779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a347c5619f07e302c1b8890ced3e54964"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a347c5619f07e302c1b8890ced3e54964">m_Category</a></td></tr>
<tr class="separator:a347c5619f07e302c1b8890ced3e54964"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c6fa552e1737d547e706becbab0fcb3"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d3/d03/class_emote_base.html">EmoteBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a8c6fa552e1737d547e706becbab0fcb3">m_EmoteClass</a></td></tr>
<tr class="separator:a8c6fa552e1737d547e706becbab0fcb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53a8df87b81bc7ea1f3b65eed333063e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a53a8df87b81bc7ea1f3b65eed333063e">m_CanPerformEmote</a></td></tr>
<tr class="separator:a53a8df87b81bc7ea1f3b65eed333063e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46d08a337ca77db0ebff980b5730a635"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a46d08a337ca77db0ebff980b5730a635">m_RadialMenuSelector</a></td></tr>
<tr class="separator:a46d08a337ca77db0ebff980b5730a635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11c312af418cc6fdb1b89a5a2e4e0ef9"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a11c312af418cc6fdb1b89a5a2e4e0ef9">m_RadialMenuItemCard</a></td></tr>
<tr class="separator:a11c312af418cc6fdb1b89a5a2e4e0ef9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a28e27a4bdbac26a5344afabcd6329a0f" name="a28e27a4bdbac26a5344afabcd6329a0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28e27a4bdbac26a5344afabcd6329a0f">&#9670;&#160;</a></span>GestureCategories</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0fa2419990536a4da133799d8e2e3c4b3a7" name="a28e27a4bdbac26a5344afabcd6329a0fa2419990536a4da133799d8e2e3c4b3a7"></a>CATEGORIES&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0fa7ba509ea3d74d451f794029a1a15b308" name="a28e27a4bdbac26a5344afabcd6329a0fa7ba509ea3d74d451f794029a1a15b308"></a>CATEGORY_1&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0fac5193c65c6702df8d357e590d4e72d32" name="a28e27a4bdbac26a5344afabcd6329a0fac5193c65c6702df8d357e590d4e72d32"></a>CATEGORY_2&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0faf3a675b05f78e1737ecb6f54a9bc8c98" name="a28e27a4bdbac26a5344afabcd6329a0faf3a675b05f78e1737ecb6f54a9bc8c98"></a>CATEGORY_3&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0fa74d0e3fb01b29bead8b9afc13a3c6f7f" name="a28e27a4bdbac26a5344afabcd6329a0fa74d0e3fb01b29bead8b9afc13a3c6f7f"></a>CATEGORY_4&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0fa1e65d80d800134038c2d43efbb710658" name="a28e27a4bdbac26a5344afabcd6329a0fa1e65d80d800134038c2d43efbb710658"></a>CATEGORY_5&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a28e27a4bdbac26a5344afabcd6329a0fac2046c46baa7b79f26e9cb6d2807136c" name="a28e27a4bdbac26a5344afabcd6329a0fac2046c46baa7b79f26e9cb6d2807136c"></a>CONSOLE_GESTURES&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ab8c0da8da3a071d3e04d089b58d51a2a" name="ab8c0da8da3a071d3e04d089b58d51a2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8c0da8da3a071d3e04d089b58d51a2a">&#9670;&#160;</a></span>GestureMenuItem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GestureMenuItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a>&#160;</td>
          <td class="paramname"><em>category</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00023">23</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a4ac69146ee4c12f4aaa4aeb412428375" name="a4ac69146ee4c12f4aaa4aeb412428375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ac69146ee4c12f4aaa4aeb412428375">&#9670;&#160;</a></span>GetBoundButtonText()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetBoundButtonText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00042">42</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="abfdcdca8c1e95e96f45b54fc32280ef9" name="abfdcdca8c1e95e96f45b54fc32280ef9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfdcdca8c1e95e96f45b54fc32280ef9">&#9670;&#160;</a></span>GetCanPerformEmote()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> GetCanPerformEmote </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00100">100</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a9760f127681dc90c1f039c4260566d8c" name="a9760f127681dc90c1f039c4260566d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9760f127681dc90c1f039c4260566d8c">&#9670;&#160;</a></span>GetCategory()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a> GetCategory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00080">80</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a2ba77aa3e0b17d2f4b2eb519db6aeaf7" name="a2ba77aa3e0b17d2f4b2eb519db6aeaf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ba77aa3e0b17d2f4b2eb519db6aeaf7">&#9670;&#160;</a></span>GetID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00075">75</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="ac4ccdd2dbcfa7d584c3993599caedda2" name="ac4ccdd2dbcfa7d584c3993599caedda2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4ccdd2dbcfa7d584c3993599caedda2">&#9670;&#160;</a></span>GetRadialItemCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> GetRadialItemCard </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00085">85</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="ac11f49d09ef1fb6f2b7b1b1b9ff55186" name="ac11f49d09ef1fb6f2b7b1b1b9ff55186"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac11f49d09ef1fb6f2b7b1b1b9ff55186">&#9670;&#160;</a></span>SetCanPerformEmote()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetCanPerformEmote </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00095">95</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a815e4e5775a3ca046bebba652aaaa14d" name="a815e4e5775a3ca046bebba652aaaa14d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a815e4e5775a3ca046bebba652aaaa14d">&#9670;&#160;</a></span>SetRadialItemCard()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetRadialItemCard </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>widget</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00090">90</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a53a8df87b81bc7ea1f3b65eed333063e" name="a53a8df87b81bc7ea1f3b65eed333063e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53a8df87b81bc7ea1f3b65eed333063e">&#9670;&#160;</a></span>m_CanPerformEmote</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> m_CanPerformEmote</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00018">18</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a347c5619f07e302c1b8890ced3e54964" name="a347c5619f07e302c1b8890ced3e54964"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a347c5619f07e302c1b8890ced3e54964">&#9670;&#160;</a></span>m_Category</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a> m_Category</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00016">16</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a8c6fa552e1737d547e706becbab0fcb3" name="a8c6fa552e1737d547e706becbab0fcb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c6fa552e1737d547e706becbab0fcb3">&#9670;&#160;</a></span>m_EmoteClass</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d3/d03/class_emote_base.html">EmoteBase</a> m_EmoteClass</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00017">17</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a236dd29b04aa8a4de32785c9b8f6f700" name="a236dd29b04aa8a4de32785c9b8f6f700"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a236dd29b04aa8a4de32785c9b8f6f700">&#9670;&#160;</a></span>m_ID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d7/d6b/_gestures_menu_8c.html#a28e27a4bdbac26a5344afabcd6329a0f">GestureCategories</a> m_ID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe942b303eee5ebb343ccae4a8583779" name="afe942b303eee5ebb343ccae4a8583779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe942b303eee5ebb343ccae4a8583779">&#9670;&#160;</a></span>m_Name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_Name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00015">15</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a11c312af418cc6fdb1b89a5a2e4e0ef9" name="a11c312af418cc6fdb1b89a5a2e4e0ef9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11c312af418cc6fdb1b89a5a2e4e0ef9">&#9670;&#160;</a></span>m_RadialMenuItemCard</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> m_RadialMenuItemCard</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00021">21</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
<a id="a46d08a337ca77db0ebff980b5730a635" name="a46d08a337ca77db0ebff980b5730a635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46d08a337ca77db0ebff980b5730a635">&#9670;&#160;</a></span>m_RadialMenuSelector</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> m_RadialMenuSelector</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html#l00020">20</a> of file <a class="el" href="../../d7/d6b/_gestures_menu_8c_source.html">GesturesMenu.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../d7/d6b/_gestures_menu_8c.html">GesturesMenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
